Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0036712
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2017-08-24 13:002017-10-10 11:47
ReportermaiteView Statuspublic 
Assigned Tomigueldejuana 
PriorityurgentResolutionfixedFixed in VersionRR17Q4
StatusclosedFix in branchFixed in SCM revision7d593fa0bdf6
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression levelProduction - Confirmed Stable
Regression date2016-11-01
Regression introduced in releaseRR16Q4
Regression introduced by commithttps://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/aec490774ae7 [^]
Triggers an Emergency PackNo
Summary

0036712: Duplicated records in c_import_entry_archive under some circumstances

DescriptionReceipts paid in the terminal are considered by RunSynchProcess to move them from local c_order table to message table. This is not hapenning in same transaction so in case terminal is reloaded (F5) when message has been created but order has not been deleted it is possible that 2 different records in message table are created for same order
Steps To Reproduce1. Configure bad networking conditions
2. Create a ticket and pay it
3. Press F5 immediately to reload terminal
4. Check the backend, and verify that two import entries were created for the same ticket. This is wrong.
TagsNo tags attached.
Attached Filesdiff file icon issue36712MobileCore17Q11.diff [^] (4,825 bytes) 2017-08-31 13:57 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 0036832RR17Q3 closedmigueldejuana Duplicated records in c_import_entry_archive under some circumstances 
depends on backport 0036833RR17Q2.3 closedmigueldejuana Duplicated records in c_import_entry_archive under some circumstances 
has duplicate defect 0036811 closedRetail Import entries of type "Business partner" are duplicated 

-  Notes
(0098696)
hgbot (developer)
2017-08-29 12:45

Repository: erp/pmods/org.openbravo.mobile.core
Changeset: 7d593fa0bdf68b2353f0cdf1bc9e9a38fedb6be6
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Tue Aug 29 11:46:47 2017 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/7d593fa0bdf68b2353f0cdf1bc9e9a38fedb6be6 [^]

Fixed issue 0036712: Duplicated records in c_import_entry_archive under some circumstances

- Creating a message and deleting the related model in the local database must be in the same transaction.

---
M web/org.openbravo.mobile.core/source/data/ob-datasource.js
M web/org.openbravo.mobile.core/source/data/ob-requestrouter.js
M web/org.openbravo.mobile.core/source/model/ob-terminal-model.js
---

- Issue History
Date Modified Username Field Change
2017-08-24 13:00 maite New Issue
2017-08-24 13:00 maite Assigned To => Retail
2017-08-24 13:00 maite Triggers an Emergency Pack => No
2017-08-24 13:00 maite Issue Monitored: networkb
2017-08-24 13:08 marvintm Steps to Reproduce Updated View Revisions
2017-08-29 12:45 hgbot Checkin
2017-08-29 12:45 hgbot Note Added: 0098696
2017-08-29 12:45 hgbot Status new => resolved
2017-08-29 12:45 hgbot Resolution open => fixed
2017-08-29 12:45 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/7d593fa0bdf68b2353f0cdf1bc9e9a38fedb6be6 [^]
2017-08-30 15:46 marvintm Review Assigned To => marvintm
2017-08-30 15:46 marvintm Status resolved => closed
2017-08-30 15:46 marvintm Fixed in Version => RR17Q4
2017-08-31 13:57 migueldejuana File Added: issue36712MobileCore17Q11.diff
2017-09-11 19:12 marvintm Status closed => new
2017-09-11 19:12 marvintm Resolution fixed => open
2017-09-11 19:12 marvintm Fixed in Version RR17Q4 =>
2017-09-11 19:12 marvintm Status new => scheduled
2017-09-11 19:12 marvintm Status scheduled => resolved
2017-09-11 19:12 marvintm Fixed in Version => RR17Q4
2017-09-11 19:12 marvintm Resolution open => fixed
2017-09-11 19:13 marvintm Status resolved => closed
2017-09-14 15:48 marvintm Assigned To Retail => migueldejuana
2017-09-25 13:11 marvintm Relationship added has duplicate 0036811
2017-10-10 11:47 marvintm Regression level => Production - Confirmed Stable
2017-10-10 11:47 marvintm Regression date => 2016-11-01
2017-10-10 11:47 marvintm Regression introduced in release => RR16Q4
2017-10-10 11:47 marvintm Regression introduced by commit => https://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/aec490774ae7 [^]


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker